<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/input-mask.js");
    loadJS(requireJS, "js/views/order_edit.js");
</script>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <div class="alert alert-warning" role="alert" >
                    Recuerde colocar la fecha y hora del <strong>comprobante (voucher)</strong> de pago.
                </div>
            </div>
            <div class="x_content">
                <form class="form-horizontal form-label-left" method="POST" enctype="multipart/form-data" id="edit-order-form">
                    <div class='form-group'>
                        <div class="col-md-12">
                            <h5 th:text="${'#' + order.id + ' - ' + order.billingName + ' (' + order.payerEmail + ')'}"></h5>
                            <h6 th:text="${order.getPaymentAmountText() + ' - ' + order.storeTitle}"></h6>
                        </div>
                    </div>
                    <hr/>                    
                    <input type="hidden" id="orderId" name="orderId" th:value="${order.id}">
                    <input type="hidden" id="action" name="action" th:value="paid"/>
                    <div class='form-group'>
                        <div class="col-md-4">
                            <label for="date" th:text="#{activation_date}">Fecha de Activación</label>
                        </div>
                        <div class="col-md-8">
                            <div class="col-md-7">
                                <input type="date" class="form-control" id='date' name="date" th:value="${order.activationDate}" required="required"/>
                            </div>
                            <div class="col-md-5">
                                <input type="text" name="time" class="form-control" id="time" required="required"/>
                            </div>                    
                        </div>
                    </div>
                    <div id="orders">
                        <div id="alert" class="alert alert-danger"></div>
                        <div id="orders-paid"></div>
                    </div>
                    <div id="hide-values">
                        <div class="form-group">
                            <div class="form-group">
                                <div class="col-md-4">
                                    <label for="attachment" th:text="#{attachFile}">Adjuntar archivos</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="file" name="attachment" class="col-md-12 col-xs-12" multiple="multiple"/>
                                    <small class="text-muted">Presionar la tecla CTRL para insertar mas de 1 archivo (max. 5 archivos)</small>
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="col-md-4">
                                    <label for="ticket" th:text="#{voucher}">Comprobante</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" id='ticket' name="ticket" maxlength="200" required="required"/>
                                    <small class="text-muted">Número de comprobante, número de ticket, número de voucher</small>
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="col-md-4">
                                    <label for="comment" th:text="#{comment}">Comentario</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" id='comment' name="comment" maxlength="100"/>
                                    <small class="text-muted">Ingresar informacion util para identificar el pago</small>
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="col-md-4">
                                    <label for="comment" th:text="#{payment_method}">Forma de pago</label>
                                </div>                
                                <div class="col-md-8">
                                    <select name="payment" id="paymentReview">
                                        <option th:each="paymentType : ${paymentTypes}" 
                                                th:value="${paymentType.paymentType}" 
                                                th:text="#{${paymentType.paymentType}}" 
                                                th:selected="false">
                                        </option>
                                    </select>      
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="col-md-4">
                                    <label for="comment" th:text="#{banks}">Banco</label>
                                </div>                
                                <div class="col-md-8">
                                    <select name="bank" id="bankReview">
                                        <option th:each="bac : ${bacs}" 
                                                th:value="${bac}" 
                                                th:text="${bac}" 
                                                >
                                        </option>
                                    </select>      
                                </div>
                            </div>

                            <div class="col-md-8 col-sm-6 col-xs-12" >                   
                                <button type="submit" class="btn btn-success" id="saveReview" th:text="#{review}">Revisar</button>
                                <button type="submit" class="btn btn-success" id="savePaid" th:text="#{paid}" style="display: none;">Pagar</button>
                            </div>
                        </div>  
                </form>
            </div>
        </div>
    </div>
</div>